View Issue Details

IDProjectCategoryView StatusLast Update
0012444mantisbtbugtrackerpublic2017-09-03 18:41
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.3 
Target Version2.6.0Fixed in Version2.6.0 
Summary0012444: bug_actiongroup_page, on copy, & move, poject combo lists projects wich the user has no rights
Description

on bug_actiongroup_page, with the actions: copy and move bugs
the poject selection combo-list shows projects in which the user has no rights to copy or move bugs (eg, at least 'reporter').

copying to one of those projects results in a deny warn (ok)
moving though, doesnt check if the user has enough rights (this reported on 0012443).

TagsNo tags attached.

Activities

cproensa

cproensa

2010-10-13 10:48

developer   ~0027020

sorry, i forgot to add, its version 1.2.3

cproensa

cproensa

2017-08-21 18:50

developer   ~0057526

PR https://github.com/mantisbt/mantisbt/pull/1165

Related Changesets

MantisBT: master 141020b4

2017-08-21 18:45:53

cproensa


Committer: atrol Details Diff
On group action page, show only allowed projects

On group action page, for "move" and "copy" actions, only allow the
selection of destination projects where the action can be performed.
Projects for which the user don't have report permission are now
disabled in the dropdown selection.

Fixes: 0012444
mod - bug_actiongroup_page.php Diff File

Issue History

Date Modified Username Field Change
2010-10-13 10:42 cproensa New Issue
2010-10-13 10:48 cproensa Note Added: 0027020
2010-10-13 10:54 atrol Product Version => 1.2.3
2017-08-21 18:50 cproensa Assigned To => cproensa
2017-08-21 18:50 cproensa Status new => assigned
2017-08-21 18:50 cproensa Note Added: 0057526
2017-08-27 09:25 atrol Target Version => 2.6.0
2017-09-03 05:41 atrol Changeset attached => MantisBT master 141020b4
2017-09-03 05:41 cproensa Status assigned => resolved
2017-09-03 05:41 cproensa Resolution open => fixed
2017-09-03 05:41 cproensa Fixed in Version => 2.6.0
2017-09-03 18:41 vboctor Status resolved => closed